Skip to main content
GET
Get Assignment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier of the assignment

Response

Assignment retrieved successfully.

id
string<uuid>

Unique identifier for the assignment.

Example:

"2600413f-7c6e-46ef-8ea9-3e7b5834879f"

assignmentName
string

Name of the assignment.

Example:

"English Assignment"

status
integer

Status of the assignment (refer this doc to get the constants)

Example:

2

grade
string

Grade of the assignment.

Example:

"7"

marks
integer | null
Example:

10

section
string

Section of the assignment.

Example:

"A"

parentInstituteId
string

ID of the parent institute.

Example:

"100"

instituteId
string

ID of the institute.

Example:

"200"

courseId
string

ID of the course.

Example:

"300"

documents
object[]

List of documents associated with the assignment.

createdAt
string<date-time>

Created date for the assignment.

Example:

"2025-04-06T09:03:42.099207Z"

modifiedAt
string<date-time>

Modified date of the assignment.

Example:

"2025-04-06T09:06:19.351379Z"